non è possibile creare il progetto del blazor di default in 0.5.1

blazor

Domanda

Non riesco a costruire il progetto del blazor di default in 0.5.1 e ottenere il seguente errore:

Errore MSB3073 Il comando "dotnet" C: \ Users \ R.nuget \ packages \ microsoft.aspnetcore.blazor.build \ 0.5.1 \ targets ../ tools / Microsoft.AspNetCore.Blazor.Build.dll "write-boot- json obj \ Debug \ netstandard2.0 \ WebApplication6.dll --referenze "C: \ Users \ R \ Source \ Repos \ WebApplication6 \ WebApplication6 \ obj \ Debug \ netstandard2.0 \ blazor / bootjson-references.txt" --embedded -risorse "C: \ Users \ R \ Source \ Repos \ WebApplication6 \ WebApplication6 \ obj \ Debug \ netstandard2.0 \ blazor / embedded.resources.txt" --linker-enabled --output "C: \ Users \ R \ Source \ Repos \ WebApplication6 \ WebApplication6 \ obj \ Debug \ netstandard2.0 \ blazor / blazor.boot.json "" terminato con codice -2147450730. WebApplication6 C: \ Users \ R.nuget \ packages \ microsoft.aspnetcore.blazor.build \ 0.5.1 \ targets \ Blazor.MonoRuntime.targets 635

Risposta popolare

cambia la versione di SDK in quello che hai installato sul tuo computer in global.json o prova a eliminare global.json

Se vuoi sapere quale versione di .net core è stata installata, esegui il seguente comando:

dotnet --version



Autorizzato sotto: CC-BY-SA with attribution
Non affiliato con Stack Overflow
È legale questo KB? Sì, impara il perché
Autorizzato sotto: CC-BY-SA with attribution
Non affiliato con Stack Overflow
È legale questo KB? Sì, impara il perché